- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- NOTES

# NAME

rt-clean-sessions - clean old and duplicate RT sessions

# SYNOPSIS

         rt-clean-sessions [--debug] [--older <NUM>[H|D|M|Y]] [--skip-user] [--all]

         rt-clean-sessions
         rt-clean-sessions --debug
         rt-clean-sessions --older 10D
         rt-clean-sessions --debug --older 1M
         rt-clean-sessions --older 10D --skip-user
         rt-clean-sessions --all

# DESCRIPTION

Script cleans RT sessions from DB or dir with sessions data. Leaves in DB only one session per RT user and sessions that aren't older than specified (see options).

Script is safe because data in the sessions is temporary and can be deleted.

# OPTIONS

older

  Date interval in the `<NUM>[<unit>]` format. Default unit is D(ays), H(our), M(onth) and Y(ear) are also supported.

  For example: `rt-clean-sessions --older 1M` would delete all sessions that are older than 1 month.

skip-user

  By default only one session per user left in the DB, so users that have sessions on multiple computers or in different browsers will be logged out. Use this option to avoid this.

all

  Use this option to clean all sessions.

debug

  Turn on debug output.

# NOTES

Functionality similar to this is implemented in html/Elements/SetupSessionCookie ; however, that does not guarantee that a session will be removed from disk and database soon after the timeout expires. This script, if run from a cron job, will ensure that the timed out sessions are actually removed from disk; the Mason component just ensures that the old sessions are not reusable before the cron job gets to them.

← Back to index